Runtime

## org.eclipse.gmf.runtime.diagram.ui.menus
Class PopupMenu.CascadingMenu

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.menus.PopupMenu.CascadingMenu

Enclosing class:
  PopupMenu

public static class PopupMenu.CascadingMenu
extends java.lang.Object

An instance of this class can be created to add a submenu to a menu item in a `PopupMenu`.

Constructor Summary
`PopupMenu.CascadingMenu(java.lang.Object aParentMenuItem, PopupMenu aSubMenu)` Creates a new `CascadingMenu`.

Method Summary
`java.lang.Object` `getParentMenuItem()` Gets the parentMenuItem.
`PopupMenu` `getSubMenu()` Gets the subMenu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopupMenu.CascadingMenu

    public PopupMenu.CascadingMenu(java.lang.Object aParentMenuItem,
                                   PopupMenu aSubMenu)

  Creates a new `CascadingMenu`.

Parameters:
  `aParentMenuItem` - content of the parent menu item
  `aSubMenu` - PopupMenu to be used as a submenu

Method Detail

### getParentMenuItem

    public java.lang.Object getParentMenuItem()

  Gets the parentMenuItem.

  Returns:
    Returns the parentMenuItem.

### getSubMenu

    public PopupMenu getSubMenu()

  Gets the subMenu.

  Returns:
    Returns the subMenu.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.